Bug 116755 - Saslauthd is failing to authorized kerberos5 passwords correctly
Summary: Saslauthd is failing to authorized kerberos5 passwords correctly
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: cyrus-sasl   
(Show other bugs)
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Conklin
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-24 22:05 UTC by Derek T. Yarnell
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 19:29:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Derek T. Yarnell 2004-02-24 22:05:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
[root@consign mail]# /usr/sbin/saslauthd -a kerberos5 -d
saslauthd[14976] :main            : num_procs  : 5
saslauthd[14976] :main            : mech_option: NULL
saslauthd[14976] :main            : run_path   : /var/run/saslauthd
saslauthd[14976] :main            : auth_mech  : kerberos5
saslauthd[14976] :ipc_init        : using accept lock file:
/var/run/saslauthd/mux.accept
saslauthd[14976] :detach_tty      : master pid is: 0
saslauthd[14976] :ipc_init        : listening on socket:
/var/run/saslauthd/mux
saslauthd[14976] :main            : using process model
saslauthd[14977] :get_accept_lock : acquired accept lock
saslauthd[14976] :have_baby       : forked child: 14977
saslauthd[14976] :have_baby       : forked child: 14978
saslauthd[14976] :have_baby       : forked child: 14979
saslauthd[14976] :have_baby       : forked child: 14980
saslauthd[14976] :get_accept_lock : acquired accept lock
saslauthd[14977] :rel_accept_lock : released accept lock
saslauthd[14977] :do_auth         : auth failure:
[user=derek][service=smtp][realm=] [mech=kerberos5] [reason=saslauthd
internal error]


Version-Release number of selected component (if applicable):
cyrus-sasl-2.1.15-3 cyrus-sasl-gssapi-2.1.15-3

How reproducible:
Always

Steps to Reproduce:
1. Configure your Sendmail.conf to have saslauthd as the auth method
2. Fire up /usr/sbin/saslauthd -a kerberos5 -d
3. 
    

Actual Results:  You get the auth failure with reason=saslauthd
internal error

Expected Results:  Authentication should have finish correctly.

Additional info:

Kinit for that user, derek, works fine on the machine so kerberos5
authentication is working fine.

Comment 1 RHEL Product and Program Management 2007-10-19 19:29:46 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.